﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

/*body {*/
/* Margin bottom by footer height */
/*margin-bottom: 60px;
}*/
.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

.tooltip-cus {
    border: solid 1px #e5e5e5;
    background: #fff;
    border-radius: 5px;
    padding: 10px 10px;
    box-shadow: 3px 3px 4px #e1e0e0;
}

    .tooltip-cus ul {
        margin: 0px;
        padding: 0px;
    }

        .tooltip-cus ul li {
            display: block;
            padding: 5px;
        }

            .tooltip-cus ul li a {
                font-weight: 500;
                color: #444;
            }

                .tooltip-cus ul li a:hover {
                    font-weight: 500;
                    color: #444;
                }

#preloader {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999;
    position: fixed;
    overflow: hidden;
    background-color: rgba(150, 150, 150, 0.3);
}

.toggle-span {
    position: absolute;
    width: 13px;
    height: 25px;
    right: 3px;
    cursor: pointer;
}

    .toggle-span span {
        width: 4px;
        height: 4px;
        position: absolute;
        background: #333;
        border-radius: 80%;
        top: 0px;
        right: 5px;
    }

    .toggle-span::after {
        content: "";
        width: 4px;
        height: 4px;
        position: absolute;
        background: #333;
        border-radius: 80%;
        top: 6px;
        right: 5px;
    }

    .toggle-span::before {
        content: "";
        width: 4px;
        height: 4px;
        position: absolute;
        background: #333;
        border-radius: 80%;
        top: 12px;
        right: 5px;
    }

.child-d {
    padding: 5px;
    position: relative;
    padding-right: 13px;
    border: 1px solid #a49f9f;
}

.child-add-btn {
    padding: 4px 8px;
    border: none;
    background: #6D2077;
    color: #fff;
    text-align: center;
    font-size: 14px;
}

#preloader:before {
    content: "";
    width: 60px;
    height: 60px;
    position: fixed;
    border-radius: 50%;
    top: calc(50% - 30px);
    left: calc(50% - 30px);
    border: 5px solid teal;
    border-top-color: rgba(150, 150, 150, 0.5);
    border-bottom-color: rgba(150, 150, 150, 0.5);
    animation: animate-preloader 1s linear infinite;
    -webkit-animation: animate-preloader 1s linear infinite;
}

@-webkit-keyframes animate-preloader {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes animate-preloader {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
